ScrollablePanel (gCube Resource Management Portlet 5.0.0-SNAPSHOT API)
Date: 2013-09-19

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.portlets.admin.resourcemanagement.client.widgets.panels
Class ScrollablePanel

    java.lang.Object
      com.google.gwt.user.client.ui.UIObject
          com.google.gwt.user.client.ui.Widget
              com.extjs.gxt.ui.client.widget.Component
                  com.extjs.gxt.ui.client.widget.BoxComponent
                      com.extjs.gxt.ui.client.widget.Container<T>
                          com.extjs.gxt.ui.client.widget.ScrollContainer<com.extjs.gxt.ui.client.widget.Component>
                              com.extjs.gxt.ui.client.widget.LayoutContainer
                                  com.extjs.gxt.ui.client.widget.ContentPanel
                                      org.gcube.portlets.admin.resourcemanagement.client.widgets.panels.ScrollablePanel

All Implemented Interfaces:
  com.extjs.gxt.ui.client.event.Observable, com.extjs.gxt.ui.client.widget.IconSupport, com.google.gwt.event.logical.shared.HasAttachHandlers, com.google.gwt.event.shared.HasHandlers, com.google.gwt.user.client.EventListener, com.google.gwt.user.client.ui.HasVisibility, com.google.gwt.user.client.ui.IsWidget

    public class ScrollablePanel

extends com.extjs.gxt.ui.client.widget.ContentPanel

Author:
  Daniele Strollo (ISTI-CNR)

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject
`com.google.gwt.user.client.ui.UIObject.DebugIdImpl, com.google.gwt.user.client.ui.UIObject.DebugIdImplEnabled`

Field Summary

Fields inherited from class com.extjs.gxt.ui.client.widget.ContentPanel
`bbarStyle, bodStyle, body, bwrap, bwrapStyle, collapseStyle, fbar, footerStyle, frame, head, headerStyle, headerTextStyle, tbarStyle`

Fields inherited from class com.extjs.gxt.ui.client.widget.Container
`attachChildren, enableLayout, layoutExecuted, layoutNeeded, layoutOnAttach, layoutOnChange`

Fields inherited from class com.extjs.gxt.ui.client.widget.BoxComponent
`adjustSize, cacheSizes, ensureVisibilityOnSizing, height, lastSize, layer, shim, width`

Fields inherited from class com.extjs.gxt.ui.client.widget.Component
`afterRender, attachables, baseStyle, disabled, disabledStyle, disableTextSelection, dummy, focusable, hidden, mask, maskMessage, maskMessageStyleName, monitorWindowResize, rendered, resizeHandler, setElementRender, stateId, swallowEvents, toolTip, windowResizeDelay, windowResizeTask`

Fields inherited from class com.google.gwt.user.client.ui.UIObject
`DEBUG_ID_PREFIX`

Constructor Summary
`ScrollablePanel()`
`ScrollablePanel(com.extjs.gxt.ui.client.widget.Component widget)`
`ScrollablePanel(String id)`
`ScrollablePanel(String id, com.extjs.gxt.ui.client.widget.Component widget)`

Method Summary
`protected void` | `onRender(com.google.gwt.user.client.Element parent, int pos)`
`void` | `setScrollableWidget(com.extjs.gxt.ui.client.widget.Component widget)`

Methods inherited from class com.extjs.gxt.ui.client.widget.ContentPanel
`addButton, adjustBodySize, afterCollapse, afterExpand, collapse, createStyles, doAttachChildren, doDetachChildren, expand, getAnimCollapse, getBody, getBodyBorder, getBodyStyle, getBottomComponent, getButtonAlign, getButtonBar, getCollapseBtn, getCollapsible, getElement, getFrame, getFrameHeight, getFrameSize, getFrameWidth, getHeader, getHeading, getIcon, getInnerHeight, getInnerWidth, getLayoutTarget, getMinButtonWidth, getTitleCollapse, getTitleText, getTopComponent, initTools, isCollapsed, isExpanded, isFooter, isHeaderVisible, isHideCollapseTool, layoutBars, notifyHide, notifyShow, onClick, onCollapse, onComponentEvent, onDisable, onEnable, onExpand, onResize, remove, setAnimCollapse, setBodyBorder, setBodyStyle, setBodyStyleName, setBottomComponent, setButtonAlign, setCollapsible, setExpanded, setFooter, setFrame, setHeaderVisible, setHeading, setHideCollapseTool, setIcon, setIconStyle, setInsetBorder, setMinButtonWidth, setTitleCollapse, setTopComponent, setUrl`

Methods inherited from class com.extjs.gxt.ui.client.widget.LayoutContainer
`add, add, addText, findComponent, getLayout, getWindowResizeDelay, insert, insert, isLayoutOnChange, isMonitorWindowResize, layout, layout, onBlur, onFocus, remove, removeAll, setLayout, setLayoutData, setLayoutOnChange, setMonitorWindowResize, setWindowResizeDelay`

Methods inherited from class com.extjs.gxt.ui.client.widget.ScrollContainer
`addScrollListener, afterRender, getHScrollPosition, getScrollMode, getVScrollPosition, removeScrollListener, scrollIntoView, setHScrollPosition, setScrollMode, setVScrollPosition`

Methods inherited from class com.extjs.gxt.ui.client.widget.Container
`add, adjustIndex, adopt, createContainerEvent, disable, doLayout, doLayout, enable, findItem, getItem, getItemByItemId, getItemCount, getItems, getWidget, indexOf, insert, isLayoutNeeded, iterator, onAfterLayout, onAttach, onBeforeLayoutExcecuted, onInsert, onLayoutExcecuted, onRemove, orphan, remove, removeAll, scrollIntoView, setLayoutNeeded, wrapWidget`

Methods inherited from class com.extjs.gxt.ui.client.widget.BoxComponent
`adjustPosition, adjustSize, createComponentEvent, getBounds, getHeight, getHeight, getPosition, getPositionEl, getResizeEl, getShadow, getShadowOffset, getShadowPosition, getSize, getWidth, getWidth, hideShadow, hideShim, hideUnders, isAutoHeight, isAutoWidth, isDeferHeight, isShim, onHide, onPosition, onShow, onUnload, setAutoHeight, setAutoWidth, setBounds, setBounds, setDeferHeight, setHeight, setHeight, setPagePosition, setPagePosition, setPixelSize, setPosition, setShadow, setShadowOffset, setShadowPosition, setShim, setSize, setSize, setWidth, setWidth, sync, syncSize`

Methods inherited from class com.extjs.gxt.ui.client.widget.Component
`addAttachable, addListener, addPlugin, addStyleName, addStyleOnOver, addWidgetListener, applyState, assertAfterRender, assertPreRender, beforeRender, blur, clearState, createObservable, disableContextMenu, disableEvents, disableTextSelection, el, enableEvents, fireEvent, fireEvent, fireEvent, fly, focus, frame, getAriaSupport, getBaseStyle, getBorders, getContextMenu, getData, getElement, getFocusEl, getFocusSupport, getHideMode, getId, getItemId, getListeners, getModel, getObservable, getPlugins, getState, getStateId, getTabIndex, getTitle, getToolTip, hasListeners, hasListeners, hide, hideToolTip, initState, isDisabledEvents, isDisableTextSelection, isEnabled, isMasked, isRendered, isStateful, isVisible, isVisible, mask, mask, mask, onBrowserEvent, onDetach, onDetachHelper, onEnsureDebugId, onHideContextMenu, onLoad, onRightClick, onShowContextMenu, onWindowResize, previewEvent, recalculate, removeAllListeners, removeAttachagle, removeFromParent, removeListener, removeStyleName, removeStyleOnOver, removeSwallow, removeToolTip, removeWidgetListener, render, render, repaint, saveState, setAriaRole, setAriaState, setAriaSupport, setBorders, setContextMenu, setData, setEl, setElement, setElement, setEnabled, setFiresEvents, setHideMode, setId, setIntStyleAttribute, setItemId, setModel, setParent, setStateful, setStateId, setStyleAttribute, setStyleName, setTabIndex, setTitle, setToolTip, setToolTip, setVisible, setZIndex, show, sinkEvents, swallowEvent, swallowEvent, toString, unframe, unmask`

Methods inherited from class com.google.gwt.user.client.ui.Widget
`addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, fireEvent, getHandlerCount, getLayoutData, getParent, isAttached, isOrWasAttached, setLayoutData`

Methods inherited from class com.google.gwt.user.client.ui.UIObject
`addStyleDependentName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, isVisible, removeStyleDependentName, resolvePotentialElement, setElement, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setVisible, sinkBitlessEvent, unsinkEvents`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ScrollablePanel

    public ScrollablePanel()

### ScrollablePanel

    public ScrollablePanel(String id)

### ScrollablePanel

    public ScrollablePanel(com.extjs.gxt.ui.client.widget.Component widget)

### ScrollablePanel

    public ScrollablePanel(String id,
                           com.extjs.gxt.ui.client.widget.Component widget)

Method Detail

### setScrollableWidget

    public final void setScrollableWidget(com.extjs.gxt.ui.client.widget.Component widget)

### onRender

    protected final void onRender(com.google.gwt.user.client.Element parent,
                                  int pos)

  Overrides:
    `onRender` in class `com.extjs.gxt.ui.client.widget.ContentPanel`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.